Package org.springframework.web.client

# Interface RestClient.UriSpec<S extends RestClient.RequestHeadersSpec<?>>

Type Parameters:
  `S` - a self reference to the spec type

All Known Subinterfaces:
  `RestClient.RequestBodyUriSpec`, `RestClient.RequestHeadersUriSpec<S>`

Enclosing interface:
  RestClient

public static interface RestClient.UriSpec<S extends RestClient.RequestHeadersSpec<?>>
Contract for specifying the URI for a request.

## Method Summary

Modifier and Type
Method
Description
`S`
`uri(String uri, Object... uriVariables)`
Specify the URI for the request using a URI template and URI variables.
`S`
`uri(String uri, Function<UriBuilder,URI> uriFunction)`
Specify the URI starting with a URI template and finishing off with a `UriBuilder` created from the template.
`S`
`uri(String uri, Map<String,?> uriVariables)`
Specify the URI for the request using a URI template and URI variables.
`S`
`uri(URI uri)`
Specify the URI using a fully constructed `URI`.
`S`
`uri(Function<UriBuilder,URI> uriFunction)`
Specify the URI by through a `UriBuilder`.

## Method Details

### uri

S uri(URI uri)
Specify the URI using a fully constructed `URI`.

If the given URI is absolute, it is used as given. If it is a relative URI, the `UriBuilderFactory` configured for the client (for example, with a base URI) will be used to resolve the given URI against.

### uri

S uri(String uri, Object... uriVariables)
Specify the URI for the request using a URI template and URI variables.

If a `UriBuilderFactory` was configured for the client (for example, with a base URI) it will be used to expand the URI template.

### uri

S uri(String uri, Map<String,?> uriVariables)
Specify the URI for the request using a URI template and URI variables.

If a `UriBuilderFactory` was configured for the client (for example, with a base URI) it will be used to expand the URI template.

### uri

S uri(String uri, Function<UriBuilder,URI> uriFunction)
Specify the URI starting with a URI template and finishing off with a `UriBuilder` created from the template.

### uri

S uri(Function<UriBuilder,URI> uriFunction)
Specify the URI by through a `UriBuilder`.

See Also:
  - `uri(String, Function)`